Реклама

В операционной системе Android 9.0 Pie реализована функция Rollback Protection, которая не позволит устанавливать на устройства предыдущие прошивки, сообщается на форуме XDA-Developers.

Суть проблемы в следующем. Если устройство изначально шло с прошивкой на основе Android 9.0 Pie или получило эту версию ОС вместе с обновлением, то на нем можно будет использовать только последнюю установленную версию прошивки. Откатиться на предыдущую уже не получится – она установится, но устройство не включится. В Google говорят, что это сделано «ради безопасности».

У новейшей ОС Android 9 Pie найдена одна крайне неприятная особенность

Для чего может быть нужно «откатиться» на более раннюю версию прошивки? Вариантов ответа на этот вопрос масса. Например, в самой свежей версии могут быть некие ошибки, которые влияют на работу тех или иных функций, тогда как предыдущая прошивка может быть на 100% стабильной. Кроме того, возможность «отката» на старые версии системного ПО в ряде случаев необходима разработчикам, тестирующим приложения и создающим кастомные прошивки для смартфонов и прочих мобильных устройств.

Отметим, что функция Rollback Protection присутствовала и в Android Oreo, предыдущей версии операционной системы. Однако разработчики устройств имели право как активировать ее, так и оставить в неактивном состоянии. Например, в моделях Google Pixel 2, Razer Phone и OnePlus 6 ее включили, тогда как некоторые другие производители не посчитали нужным сделать это.

Операционная система Android 9.0 Pie, напомним, была представлена позавчера. Обновления на ее основе уже доступны для смартфонов Google Pixel и Essential PH-1.